Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.util
Class AutoFlushWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              gecco.util.AutoFlushWriter

public class AutoFlushWriter
extends PrintWriter

Description of the Class

Author:
  Karl Hasselström

Field Summary

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`AutoFlushWriter(OutputStream out)` Constructor for the AutoFlushWriter object
`AutoFlushWriter(Writer out)` Constructor for the AutoFlushWriter object

Method Summary
`void` | `print(boolean b)` Description of the Method
`void` | `print(char c)` Description of the Method
`void` | `print(char[] s)` Description of the Method
`void` | `print(double d)` Description of the Method
`void` | `print(float f)` Description of the Method
`void` | `print(int i)` Description of the Method
`void` | `print(long l)` Description of the Method
`void` | `print(Object obj)` Description of the Method
`void` | `print(String s)` Description of the Method
`void` | `println()` Description of the Method
`void` | `println(boolean b)` Description of the Method
`void` | `println(char c)` Description of the Method
`void` | `println(char[] s)` Description of the Method
`void` | `println(double d)` Description of the Method
`void` | `println(float f)` Description of the Method
`void` | `println(int i)` Description of the Method
`void` | `println(long l)` Description of the Method
`void` | `println(Object o)` Description of the Method
`void` | `println(String s)` Description of the Method
`void` | `write(char[] cbuf)` Description of the Method
`void` | `write(char[] cbuf, int off, int len)` Description of the Method
`void` | `write(int c)` Description of the Method
`void` | `write(String str)` Description of the Method
`void` | `write(String str, int off, int len)` Description of the Method

Methods inherited from class java.io.PrintWriter
`checkError, close, flush, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoFlushWriter

    public AutoFlushWriter(Writer out)

  Constructor for the AutoFlushWriter object

Parameters:
  `out` - Description of Parameter

### AutoFlushWriter

    public AutoFlushWriter(OutputStream out)

  Constructor for the AutoFlushWriter object

Parameters:
  `out` - Description of Parameter

Method Detail

### print

    public void print(boolean b)

  Description of the Method

  Parameters:
    `b` - Description of Parameter

### print

    public void print(char c)

  Description of the Method

  Parameters:
    `c` - Description of Parameter

### print

    public void print(char[] s)

  Description of the Method

  Parameters:
    `s` - Description of Parameter

### print

    public void print(double d)

  Description of the Method

  Parameters:
    `d` - Description of Parameter

### print

    public void print(float f)

  Description of the Method

  Parameters:
    `f` - Description of Parameter

### print

    public void print(int i)

  Description of the Method

  Parameters:
    `i` - Description of Parameter

### print

    public void print(long l)

  Description of the Method

  Parameters:
    `l` - Description of Parameter

### print

    public void print(Object obj)

  Description of the Method

  Parameters:
    `obj` - Description of Parameter

### print

    public void print(String s)

  Description of the Method

  Parameters:
    `s` - Description of Parameter

### println

    public void println()

  Description of the Method

### println

    public void println(boolean b)

  Description of the Method

  Parameters:
    `b` - Description of Parameter

### println

    public void println(char c)

  Description of the Method

  Parameters:
    `c` - Description of Parameter

### println

    public void println(char[] s)

  Description of the Method

  Parameters:
    `s` - Description of Parameter

### println

    public void println(double d)

  Description of the Method

  Parameters:
    `d` - Description of Parameter

### println

    public void println(float f)

  Description of the Method

  Parameters:
    `f` - Description of Parameter

### println

    public void println(int i)

  Description of the Method

  Parameters:
    `i` - Description of Parameter

### println

    public void println(long l)

  Description of the Method

  Parameters:
    `l` - Description of Parameter

### println

    public void println(Object o)

  Description of the Method

  Parameters:
    `o` - Description of Parameter

### println

    public void println(String s)

  Description of the Method

  Parameters:
    `s` - Description of Parameter

### write

    public void write(char[] cbuf,
                      int off,
                      int len)

  Description of the Method

  Parameters:
    `cbuf` - Description of Parameter
    `off` - Description of Parameter
    `len` - Description of Parameter

### write

    public void write(char[] cbuf)

  Description of the Method

  Parameters:
    `cbuf` - Description of Parameter

### write

    public void write(int c)

  Description of the Method

  Parameters:
    `c` - Description of Parameter

### write

    public void write(String str,
                      int off,
                      int len)

  Description of the Method

  Parameters:
    `str` - Description of Parameter
    `off` - Description of Parameter
    `len` - Description of Parameter

### write

    public void write(String str)

  Description of the Method

  Parameters:
    `str` - Description of Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD